package com.ruoyi.web.v2.v1.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsCheckInstrument;
import com.ruoyi.web.v2.v1.service.IJsCheckInstrumentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

import static com.ruoyi.common.core.domain.AjaxResult.success;

/**
 * <p>
 * v2.0检验仪器管理 前端控制器
 * </p>
 *
 * @author author
 * @since 2025-05-21
 */
@RestController
@RequestMapping("/js-check-instrument")
@Api("2.0检验仪器管理")
public class JsCheckInstrumentController {

    @Autowired
    private IJsCheckInstrumentService instrumentService;
    
    @ApiOperation("检验仪器管理添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody JsCheckInstrument checkDevice){
        return instrumentService.add(checkDevice);
    }

    @ApiOperation("检验仪器管理修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody JsCheckInstrument checkDevice){
        return instrumentService.edit(checkDevice);
    }

    @ApiOperation("检验仪器管理删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return instrumentService.delete(ids);
    }

    @ApiOperation("检验仪器管理列表")
    @PostMapping("/list")
    public AjaxResult listAll(){
        return instrumentService.listAll();
    }

    @ApiOperation("检验仪器管理分页")
    @GetMapping("/page")
    public AjaxResult page(@RequestParam("pageNum") Integer pageNum, @RequestParam("pageSize") Integer pageSize
            , @RequestParam(value = "deviceNum", required = false) String deviceNum,
                           @RequestParam(value = "deviceName", required = false) String deviceName) {
        return instrumentService.page(pageNum, pageSize, deviceNum,deviceName);
    }
    @ApiOperation("检验仪器管理详情")
    @PostMapping("/listById")
    public AjaxResult listById(@RequestBody Map<String, String> paramsMap){
        String id = paramsMap.get("id");
        return success(instrumentService.getById(id));
    }
}
